package ru.dbotthepony.kstarbound.world.api

import ru.dbotthepony.kvector.api.IStruct2i

// for getting tiles directly, avoiding manual layer specification
interface ITileAccess : ICellAccess {
	// relative
	fun getTile(x: Int, y: Int): AbstractTileState?
	fun getTile(pos: IStruct2i) = getTile(pos.component1(), pos.component2())
	fun getTileDirect(x: Int, y: Int): AbstractTileState?
	fun getTileDirect(pos: IStruct2i) = getTile(pos.component1(), pos.component2())
}
